ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.6.2 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT > Class Template Reference

Defines an iterator for the sparse vector type. More...

`#include <amg_base.hpp>`

## Public Member Functions
| amg_sparsevector_iterator (InternalT &vec, bool begin=true)
| The constructor. More...
bool | operator== (self_type other)
bool | operator!= (self_type other)
self_type const & | operator++ () const
self_type & | operator++ ()
self_type const & | operator-- () const
self_type & | operator-- ()
ScalarType const & | operator* () const
ScalarType & | operator* ()
unsigned int | index () const
unsigned int | index ()

## Detailed Description

### template<typename InternalT>
class viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >

Defines an iterator for the sparse vector type.

Definition at line 209 of file amg_base.hpp.

## Constructor & Destructor Documentation

template<typename InternalT >

viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::amg_sparsevector_iterator | ( | InternalT & | vec,
|  | bool | begin = `true`
| ) |  |
| inline

The constructor.

Parameters

  vec | Internal sparse vector
  begin | Whether the iterator starts at the beginning or end of vec

Definition at line 224 of file amg_base.hpp.

## Member Function Documentation

template<typename InternalT >

unsigned int viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::index | ( |  | ) | const
| inline

Definition at line 253 of file amg_base.hpp.

template<typename InternalT >

unsigned int viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::index | ( |  | ) |
| inline

Definition at line 254 of file amg_base.hpp.

template<typename InternalT >

bool viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator!= | ( | self_type | other | ) |
| inline

Definition at line 239 of file amg_base.hpp.

template<typename InternalT >

ScalarType const& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator* | ( |  | ) | const
| inline

Definition at line 251 of file amg_base.hpp.

template<typename InternalT >

ScalarType& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator* | ( |  | ) |
| inline

Definition at line 252 of file amg_base.hpp.

template<typename InternalT >

self_type const& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator++ | ( |  | ) | const
| inline

Definition at line 247 of file amg_base.hpp.

template<typename InternalT >

self_type& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator++ | ( |  | ) |
| inline

Definition at line 248 of file amg_base.hpp.

template<typename InternalT >

self_type const& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator-- | ( |  | ) | const
| inline

Definition at line 249 of file amg_base.hpp.

template<typename InternalT >

self_type& viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator-- | ( |  | ) |
| inline

Definition at line 250 of file amg_base.hpp.

template<typename InternalT >

bool viennacl::linalg::detail::amg::amg_sparsevector_iterator< InternalT >::operator== | ( | self_type | other | ) |
| inline

Definition at line 232 of file amg_base.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/amg/amg_base.hpp